--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.stance={}
cc.stance.gfx_wpn={}

-- Load & Prepare Ressources
for i=0,1,1 do
	cc.stance.gfx_wpn[i]=loadgfx("buildings/stance"..i..".bmp")					-- Weapon Image
	setmidhandle(cc.stance.gfx_wpn[i])
end
cc.stance.sfx_build=loadsfx("buildwood.ogg")									-- Build Sound

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

cc.stance.id=addweapon("cc.stance","Stance",cc.stance.gfx_wpn[0],1)						-- Add Weapon (1 uses)

function cc.stance.draw()														-- Draw
	if weapon_shots==0 then
		-- HUD Positioning
		hudpositioning(pos_build,cc.stance.gfx_wpn[weapon_mode],160,0)
	end
end

function cc.stance.attack(attack)
	if weapon_timer>0 then
		weapon_timer=weapon_timer-1
	end
	if (weapon_shots<=0) and (attack==1) and (weapon_timer==0) then
		-- Rotate
		weapon_timer=15
		weapon_mode=1-weapon_mode
	end												-- Attack
	if (weapon_shots<=0) and (weapon_position==1) then
		-- Use weapon and allow to use another one afterwards (1)
		useweapon(1)
		weapon_shots=weapon_shots+1
		-- Draw
		terrainbackimage(cc.stance.gfx_wpn[weapon_mode],weapon_x,weapon_y)
		-- Sound
		playsound(cc.stance.sfx_build)
	end
end